1. Raiz
FlamPix Gateway API
  • ๐Ÿ“œ API Overview
  • โš ๏ธ API Base URL Migration Notice โš ๏ธ
  • Docs
    • ๐Ÿ”‘ Authentication & HMAC Signing
    • ๐Ÿช Webhook
    • ๐Ÿงต Deposit Status Strings
    • ๐Ÿšฆ API Limits
  • Raiz
    • Create Deposit
      POST
    • Get Deposit Status
      GET
    • Get User Info
      GET
    • Health Check
      GET
    • Transaction Status Update
  • Schemas
    • Customer
    • DepositRequest
    • DepositResponse
    • UserInfoResponse
    • WebhookPayload
  1. Raiz

Get User Info

GET
/user-info
Consult information and daily limits for a specific user via EUID.
Important: This endpoint helps prevent 422 errors by checking limits before deposit creation.

Request

Authorization
or
Query Params

Header Params

Responses

๐ŸŸข200
application/json
User info retrieved.
Body

๐ŸŸ 404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/user-info?euid' \
--header 'X-FlamPix-Key;' \
--header 'X-FlamPix-Key: {{FLAMPIX_API_KEY}}' \
--header 'X-FlamPix-Timestamp;' \
--header 'X-FlamPix-Timestamp: {{X-FlamPix-Timestamp}}' \
--header 'X-FlamPix-Signature;' \
--header 'X-FlamPix-Signature: {{X-FlamPix-Signature}}'
Response Response Example
{
    "euid": "string",
    "dailyVolumeInCents": 0,
    "maxDailyInCents": 0,
    "remainingDailyInCents": 0,
    "isBlocked": true,
    "dailyLimitResetTime": "2019-08-24T14:15:22.123Z",
    "kycStatus": "pending"
}
Modified atย 2025-12-22 21:14:25
Previous
Get Deposit Status
Next
Health Check
Built with